Subject: bug#23801: 25.0.95; term.el redraws extremely slow with bidi support enabled, and large buffers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jun 2016 18:05:29 +0300

> From: Phil Sainty <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> Date: Tue, 21 Jun 2016 02:35:46 +1200
> 
> I believe the terminal screen refreshes which exhibit the issue
> are performed by inserting spaces (with a background colour).

Is background color really necessary?

> It turns out that we can demonstrate this issue without any other
> programs, simply by inserting spaces (or tabs).
> 
> Most critically, inserting non-whitespace characters does NOT
> cause performance issues! (At least not the ones I've tried.)

Thanks, this finally begins to make sense.  I will look into this when
I have time.